;-------------------------------------------------------------------------------
;string.asm
;(c) Copyright 2000-2001, Ilya Aniskovets
;-------------------------------------------------------------------------------
section .text
;
;function: _substrcompare
;description: compares zero based string with part of another string
;input:
;	hl - pointer to zero based string
;	de - pointer to another string or buffer to compare
;output:
;	if ( !equal ) zero.clear();
;	else zero.set();
;-------------------------------------------------------------------------------
_substrcompare
	push hl
	push de
.lp1	ld a,(hl)
	or a
	jz .ok
	ld a,(de)
	cp (hl)
	inc hl
	inc de
	jz .lp1
.ok:	pop de
	pop hl
	ret
